#include <string.h>
#include <stdio.h>
#include <windows.h>

#define DYNA 1        // define this to dynamically load the DLL

extern "C" void far __pascal test (void);

typedef void far __pascal (*TfpStr) (void);
TfpStr fpTest;

#pragma argsused
int main (int argc, char *argv[])
{
#ifdef DYNA
  HMODULE hmod;
  hmod = LoadLibrary (".\\DLL.DLL");
  if ((int)hmod < 32)
  {
    printf ("Error loading the DLL: %d\n", hmod);
    return 0;
  }

  fpTest = (TfpStr) GetProcAddress (hmod, "Test");

  if (!fpTest)
  {
    printf ("Error getting function address\n");
    return 0;
  }
#endif

  printf ("Calling the DLL...\n\n");

#ifdef DYNA
  fpTest();
#else
  test ();
#endif
  printf ("\n...Back from the DLL\n");
  return 0;
}
